View Issue Details

IDProjectCategoryView StatusLast Update
0000212FreeCADFeaturepublic2011-01-15 21:28
ReportermyierAssigned Toyorik 
PrioritynormalSeverityfeatureReproducibilityN/A
Status closedResolutionfixed 
Product Version0.11 
Target VersionFixed in Version0.11 
Summary0000212: Contextual menu "Move to group" in the object list
DescriptionWhen right clicking on an object in the list, it would be nice to have a menu "Move to ->" pointing to a list of the groups of the project, enabling easy moving of objects to groups at the top of the list. Hierarchy of the groups may be displayed with simple '|-' characters to indicate belonging to the upper group.
I have a quite small screen, but I'm dealing with lots of objects, and it's quite hard to move them into groups that are not displayed because of the scrolling of the toolbox.
TagsNo tags attached.

Activities

yorik

2010-12-12 15:02

administrator   ~0000452

I'll add that to the draft module

yorik

2010-12-16 13:02

administrator   ~0000454

Done! Now part of the draft module and the workbench module, in the tree view context menu.

myier

2010-12-23 23:28

reporter   ~0000471

Thanks for the add yorikvanhavre! However, would it be possible to use the actual group name instead of Group, Group001, and so on? I've noticed that it sometimes does not work, but I don't have any error message or reason to give you.
Besides, I think it would be wise to add a "root" or "ungroup" choice, if one want an object out of a group.

yorik

2010-12-24 02:25

administrator   ~0000473

Good point! I'll set that up as soon as I'm back from holidays

yorik

2011-01-15 21:28

administrator   ~0000524

done in r3912.

Issue History

Date Modified Username Field Change
2010-11-21 23:03 myier New Issue
2010-12-12 15:01 yorik Status new => assigned
2010-12-12 15:01 yorik Assigned To => yorik
2010-12-12 15:02 yorik Note Added: 0000452
2010-12-16 13:02 yorik Note Added: 0000454
2010-12-16 13:02 yorik Status assigned => closed
2010-12-16 13:02 yorik Resolution open => fixed
2010-12-16 13:02 yorik Fixed in Version => 0.11
2010-12-23 23:28 myier Note Added: 0000471
2010-12-23 23:28 myier Status closed => feedback
2010-12-23 23:28 myier Resolution fixed => reopened
2010-12-24 02:25 yorik Note Added: 0000473
2010-12-24 02:26 yorik Status feedback => assigned
2011-01-15 21:28 yorik Note Added: 0000524
2011-01-15 21:28 yorik Status assigned => closed
2011-01-15 21:28 yorik Resolution reopened => fixed